from .Completion import Completion
from langchain.llms import OpenAI
import os

class CompletionOpenAI(Completion):
    # Constructor
    def __init__(self,
                 token: str,
                 serpapi: str,
                 temperature: float = 0.5):
        super().__init__()

        os.environ["SERPAPI_API_KEY"] = serpapi
        self.token = token

        self.temperature = temperature
        self.llm = OpenAI(temperature=self.temperature,
                     openai_api_key=self.token)
        self.agent = self.getAgent(self.llm)


    def complete(self, message: str) -> str:
        return self.agent_chain.run(message)

    def getModelName(self) -> str:
        return ""
